Package com.google.android.exoplayer2.ext.cast

## Class DefaultCastOptionsProvider

- java.lang.Object
- - com.google.android.exoplayer2.ext.cast.DefaultCastOptionsProvider

- All Implemented Interfaces:
    `com.google.android.gms.cast.framework.OptionsProvider`

      public final class DefaultCastOptionsProvider
      extends Object
      implements com.google.android.gms.cast.framework.OptionsProvider

  A convenience `OptionsProvider` to target the default cast receiver app.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `APP_ID_DEFAULT_RECEIVER_WITH_DRM` | App id that points to the Default Media Receiver app with basic DRM support.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultCastOptionsProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<com.google.android.gms.cast.framework.SessionProvider>` | `getAdditionalSessionProviders​(Context context)` |
    `com.google.android.gms.cast.framework.CastOptions` | `getCastOptions​(Context context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_ID_DEFAULT_RECEIVER_WITH_DRM

          public static final String APP_ID_DEFAULT_RECEIVER_WITH_DRM

      App id that points to the Default Media Receiver app with basic DRM support.

      Applications that require more complex DRM authentication should create a custom receiver application.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultCastOptionsProvider

          public DefaultCastOptionsProvider()

  - ### Method Detail

    - #### getCastOptions

          public com.google.android.gms.cast.framework.CastOptions getCastOptions​(Context context)

      Specified by:
        `getCastOptions` in interface `com.google.android.gms.cast.framework.OptionsProvider`

    - #### getAdditionalSessionProviders

          public List<com.google.android.gms.cast.framework.SessionProvider> getAdditionalSessionProviders​(Context context)

      Specified by:
        `getAdditionalSessionProviders` in interface `com.google.android.gms.cast.framework.OptionsProvider`